aboutsummaryrefslogtreecommitdiffstats
path: root/build-root/vagrant
diff options
context:
space:
mode:
authorEd Warnicke <eaw@cisco.com>2016-05-03 16:47:50 -0500
committerEd Warnicke <hagbard@gmail.com>2016-05-04 01:50:47 +0000
commitd6a779c41160f5ff50a6bfa2114bedcca12605e0 (patch)
tree597725fceb9ad5a05314f36c6fe2845214cffca5 /build-root/vagrant
parent5657c5c80884d630731ddb1acc90c7a66b78b32c (diff)
Fix for unattended in Makefile
Also works around verify Change-Id: I79ac470ec3fa9943c3a0913ebfaaf91176eb9a81 Signed-off-by: Ed Warnicke <eaw@cisco.com>
Diffstat (limited to 'build-root/vagrant')
-rwxr-xr-xbuild-root/vagrant/build.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/build-root/vagrant/build.sh b/build-root/vagrant/build.sh
index aaaa62f6..7fd7e3a6 100755
--- a/build-root/vagrant/build.sh
+++ b/build-root/vagrant/build.sh
@@ -42,6 +42,18 @@ make wipe
(cd build-root/;make distclean)
rm -f build-root/.bootstrap.ok
+if [ $DISTRIB_ID == "CentOS" ]; then
+ echo rpm -V apr-devel
+ rpm -V apr-devel
+ if [ $? != 0 ]; then sudo yum reinstall -y apr-devel;fi
+ echo rpm -V ganglia-devel
+ rpm -V ganglia-devel
+ if [ $? != 0 ]; then sudo yum reinstall -y ganglia-devel;fi
+ echo rpm -V libconfuse-devel
+ rpm -V libconfuse-devel
+ if [ $? != 0 ]; then sudo yum reinstall -y libconfuse-devel;fi
+fi
+
# Build and install packaging
$SUDOCMD make bootstrap
if [ $DISTRIB_ID == "Ubuntu" ]; then